> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team and Billing Information

> Update the team members for the authenticated user's billing profile. This replaces the current list of team members with the provided list. The authenticated user will always remain in the team.

**Note:** All users must already have Nectar accounts. If you provide email addresses of users who don't exist in the system, the request will fail with a 400 error.

**Note:** To update billing information, go to your user settings on Nectar or use the signed Stripe URL.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json patch /team
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /team:
    patch:
      tags:
        - Team
      summary: Update Team and Billing Information
      description: >-
        Update the team members for the authenticated user's billing profile.
        This replaces the current list of team members with the provided list.
        The authenticated user will always remain in the team.


        **Note:** All users must already have Nectar accounts. If you provide
        email addresses of users who don't exist in the system, the request will
        fail with a 400 error.


        **Note:** To update billing information, go to your user settings on
        Nectar or use the signed Stripe URL.
      operationId: team_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedTeamUpdateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedTeamUpdateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedTeamUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
      security:
        - ExternalAuthentication: []
components:
  schemas:
    PatchedTeamUpdateRequest:
      type: object
      description: Serializer for updating team members.
      properties:
        users:
          type: array
          items:
            type: string
            format: email
            minLength: 1
          description: >-
            List of email addresses of users belonging to the billing
            profile/team.
    Team:
      type: object
      description: Serializer for team member information.
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the billing profile.
        name:
          type: string
          description: Name of the billing profile.
          maxLength: 200
        email:
          type: string
          format: email
          description: >-
            Billing email associated with this profile. Should match associated
            Stripe Customer profile
          maxLength: 254
        users:
          type: array
          items:
            type: string
          description: >-
            List of email addresses of users associated with this billing
            profile.
        billing:
          type: object
          additionalProperties: {}
          description: >-
            Comprehensive billing information including Stripe meter events,
            payment methods, billing profile details, and billing portal access.
      required:
        - billing
        - email
        - id
        - name
        - users
    ErrorResponse:
      type: object
      description: Serializer for error responses.
      properties:
        detail:
          type: string
        error:
          type: string
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````